attacca
Kanban

Update a board

PATCH
/v1/kanban/boards/{board_id}

Authorization

api_key kanban:write
AuthorizationBearer <token>

An atk_-prefixed API key, created under Settings → API keys.

In: header

Scope: kanban:write

Path Parameters

board_id*string

Board id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/kanban/boards/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "updated_at": "2019-08-24T14:15:22Z"}